## visad
Class ShapeControl.ProjectionControlListener

    java.lang.Object
      visad.ShapeControl.ProjectionControlListener

All Implemented Interfaces:
  ControlListener, EventListener

Enclosing class:
  ShapeControl

class ShapeControl.ProjectionControlListener
extends Object
implements ControlListener

Constructor Summary
`(package private)` `ShapeControl.ProjectionControlListener(MouseBehavior m, ShapeControl s, ProjectionControl p)`

Method Summary
`void` `controlChanged(ControlEvent e)` send a ControlEvent to this ControlListener

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShapeControl.ProjectionControlListener

    ShapeControl.ProjectionControlListener(MouseBehavior m,
                                           ShapeControl s,
                                           ProjectionControl p)

Method Detail

### controlChanged

    public void controlChanged(ControlEvent e)
                        throws VisADException,
                               RemoteException

  Description copied from interface: `ControlListener`
  send a ControlEvent to this ControlListener

  Specified by:
    `controlChanged` in interface `ControlListener`
  Throws:
    `VisADException`
    `RemoteException`